Package: org.codehaus.groovy.ast.stmt

## [Java] Class ForStatement

- org.codehaus.groovy.ast.stmt.ForStatement

- All Implemented Interfaces and Traits:
    LoopingStatement

      public class ForStatement
      extends Statement
      implements LoopingStatement

  Represents a standard for loop in Groovy

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Parameter` | `FOR_LOOP_DUMMY` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Statement` | `CLOSE_CURRENT_RESULT, KEEP_CURRENT_RESULT, CLOSE_ALL_RESULTS, SUCCESS_NO_INFO, EXECUTE_FAILED, RETURN_GENERATED_KEYS, NO_GENERATED_KEYS`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getCollectionExpression()`
    `` | `public Statement` | `getLoopBlock()`
    `` | `public Parameter` | `getVariable()`
    `` | `public VariableScope` | `getVariableScope()`
    `` | `public ClassNode` | `getVariableType()`
    `` | `public void` | `setCollectionExpression(Expression collectionExpression)`
    `` | `public void` | `setLoopBlock(Statement loopBlock)`
    `` | `public void` | `setVariableScope(VariableScope variableScope)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Statement` | `execute, execute, execute, execute, close, cancel, getConnection, isClosed, setQueryTimeout, getWarnings, clearWarnings, getFetchDirection, setFetchSize, setFetchDirection, getFetchSize, getResultSet, getUpdateCount, isPoolable, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeBatch, closeOnCompletion, getMoreResults, getMoreResults, setMaxFieldSize, getMaxFieldSize, getResultSetType, setPoolable, setLargeMaxRows, getQueryTimeout, addBatch, setMaxRows, setCursorName, clearBatch, getGeneratedKeys, executeQuery, getMaxRows, getLargeMaxRows, enquoteIdentifier, isSimpleIdentifier, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, enquoteLiteral, setEscapeProcessing, isCloseOnCompletion, enquoteNCharLiteral, getResultSetHoldability, getResultSetConcurrency, getLargeUpdateCount, unwrap, isWrapperFor`

- - ### Field Detail

    - #### public static final Parameter FOR_LOOP_DUMMY

  - ### Constructor Detail

    - #### public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

  - ### Method Detail

    - #### public Expression getCollectionExpression()

    - #### @Override
      public Statement getLoopBlock()

    - #### public Parameter getVariable()

    - #### public VariableScope getVariableScope()

    - #### public ClassNode getVariableType()

    - #### public void setCollectionExpression(Expression collectionExpression)

    - #### @Override
      public void setLoopBlock(Statement loopBlock)

    - #### public void setVariableScope(VariableScope variableScope)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)